Welcome to EncryptDrop!

EncryptDrop for Windows is a streamlined and powerful file encryption program with easy drag and drop GUI.

Features include:

  • User interface that works for you, not against you
  • Simple drag and drop operation
  • 256 bit strong encryption (AES,Twofish,CAST-256,Serpent)
  • Multithreaded, high performance encryption/decryption
  • Encrypts any type of data
  • Creates SFX files
  • Comprehensive log system
  • Encrypted filename obfuscation
  • Random password creator
  • Password reminder
  • Encrypt Folders on Exit
  • Folder Bookmarks
  • Shell extension

HOME | BACK | NEXT


System Requirements

Your system should come with a pre-installed operating system or you may choose to upgrade your operating system to the latest. Below you will find a list of those that EncryptDrop supports. Please check to make sure that you have one of the following systems.

Operating system:

  • Windows 2000
  • Windows XP

Other:

  • Admin-rights are required to install EncryptDrop


Installing EncryptDrop

Step 1: Find and double click EncryptDrop setup file to start installation.

Step 2: Follow prompts until you are finished installing EncryptDrop.


Uninstalling EncryptDrop

Step 1: Go to Start > Control Panel > Add or Remove Programs

  • In some operating systems you will find Start > Settings > Control Panel

Step 2: Select EncryptDrop in the Add or Remove Programs window and click 'Remove'.

Note: In some cases you will find that when removing software there will be one or two files that the operating system will ask if you want to them to be removed since they maybe shared by other programs. If you are unsure, always opt to keep these files.


Starting EncryptDrop

There are two ways to start the program.

  • You can go to your desktop and double click on the EncryptDrop icon

  • You can also go to the Start > All Programs > EncryptDrop > Start encryptdrop

  • For some operating systems you will find Start > Programs > EncryptDrop > Start encryptdrop


The Basics

Right-Click Window - This window allows you to access the program settings/options. To open this window, RIGHT-CLICK on the program main window.

NOTE: The image below is context sensitive. Click an item to view the item description.

Start Program Automatically at Logon Keep Program Window on Top Enable File Association Enable Shell Extension (Windows Explorer) Enable Sounds Clear Password When Done Clear System Pagefile on System Shutdown Use EraseDrop for Deleting If Available Obfuscate Encrypted Filenames Erase Original Files Overwrite Existing Files Minimize to System Tray on Start Restore from System Tray When Done Enable (Quick Restore) Configure (Quick Restore) Utilities/Hide Appearance: Window Skin Close Minimize to System Tray Check for Updates Help About Quit Utility: Create SFX Utility: Encrypt Folders on Exit Utility: Manage Folder Bookmarks

Options | General

  • Start Program Automatically at Logon
    When enabled, EncryptDrop starts automatically and is minimized to the system tray when you login.

    NOTE: Admin-rights required.

  • Keep Program Window on Top
    When enabled, forces the program window to stay on top of all other windows.

  • Enable File Association
    Enables program file association for the .drp file extension (req. by the shell extension).

    NOTE: Admin-rights required.

  • Enable Shell Extension (Windows Explorer)
    Enables the Windows Explorer shell extension for the .drp file extension.

    NOTE: Admin-rights required.

  • Enable Sounds
    Enable/disable program sounds.

Back to Top

Options | Encrypting/Decrypting

  • Obfuscate Encrypted Filenames
    When enabled, EncryptDrop obfuscates the encrypted filenames.

  • Erase Original Files
    When enabled, EncryptDrop erases successfully processed files.

    NOTE: This is typically done after processing (encrypting/decrypting) the file.

  • Overwrite Existing Files
    When enabled, EncryptDrop overwrites any already existing files.

    NOTE: When enabled, EncryptDrop overwrites any already existing files. Otherwise these files are skipped.

  • Minimize to System Tray on Start
    When enabled, EncryptDrop minimizes itself to the system tray when encrypting/decrypting begins.

  • Restore from System Tray When Done
    When enabled, EncryptDrop restore itself from the system tray when encrypting/decrypting has been completed.

Back to Top

Options | Security

  • Clear Password When Done
    When enabled, EncryptDrop clears the last used password from memory.

    NOTE: When disabled, the last used password remains in memory until program is terminated or the password is replaced. The uncleared password will also be used for the next batch.

  • Clear System Pagefile on System Shutdown
    When enabled, Windows clears the system pagefile (virtual memory) on system shutdown.

    NOTE: Virtual memory support uses a system pagefile to swap pages of memory to disk when they are not used. On a running system, this pagefile is opened exclusively by the operating system, and it is well protected. However, systems that are configured to allow booting to other operating systems might have to make sure that the system pagefile is wiped clean when this system shuts down. This ensures that sensitive information from process memory that might go into the pagefile is not available to an unauthorized user who manages to directly access the pagefile.

    NOTE: Admin-rights required.

  • Use EraseDrop for Deleting If Available
    When enabled, EncryptDrop attempts to use EraseDrop (if present and available) for secure file erasing instead of WIN32 DeleteFile()

    EraseDrop is a FREE STAND-ALONE program that can be used in conjunction with EncryptDrop to erase data securely from your computer.

    EraseDrop is licensed under GNU General Public License (GPL) and is an open-source project.

    You can download EraseDrop from http://www.righteoustech.com

Back to Top

Options | Quick Restore

  • Enable
    When checked, EncryptDrop enables the Quick Restore feature.

    NOTE: Quick restore is a system wide keyboard hook that can be used to minimize and restore the program window quickly to and from the systemtray.

  • Configure
    Configure the Quick Restore hotkey.

Back to Top

Options | Appearance

  • Appearance: Window Skin
    Currently applied program main window skin.

Back to Top

Options | Utilities

  • Utilities | Create SFX
    Convert any already encrypted file to a self-extracting file (SFX).

  • Utilities | Encrypt Folders on Exit
    Keeps your folders encrypted when you logoff, restart/shutdown system or quit EncryptDrop.

    NOTE: See Tutorial: Encrypt Folders on Exit.

  • Utilities | Manage Folder Bookmarks
    Manage your Folder Bookmarks.

    NOTE: See Tutorial: Folder Bookmarks.

Back to Top

Main Menu

  • Close
    Closes the Right-Click Window.

  • Minimize to System Tray
    Minimizes EncryptDrop to system tray.

  • Check for Updates
    Checks for program updates online (req. internet connection).

  • Help
    Opens this help file.

  • About
    Displays information about EncryptDrop.

  • Quit
    Quits EncryptDrop.

Back to Top

Please click NEXT to continue to the file encrypting and decrypting tutorials.


Tutorial: Encrypt File

Step 1) Make sure EncryptDrop is open and running somewhere on your screen.

Step 2) Locate the file you want to encrypt. Select it and hold down the left mouse button while you are dragging the file. Move it over the program window and release the left button.

Select Password Window

Step 3) The select password window appears. Type your password and retype it again. You can also enter a password hint that can help you to remember your password later. Please note that the password hint will be visible to everyone.

Also notice the [image] button. You can access other password functions (e.g. password creator) through this button.

Step 4) Click OK to encrypt the dropped file and wait that EncryptDrop finishes encrypting. This may take a while if you are encrypting a very large file so please be patient. You may cancel the encrypting at anytime by right-clicking on the program window and selecting "Stop encrypting/decrypting".

Step 5) EncryptDrop asks you next if you want to view the created log file. Click YES. The created log file reveals details, such as errors, of the processed file batch.

Step 6) That's all. You have now successfully encrypted your file. The next tutorial covers how you can decrypt your encrypted file. Please click NEXT to proceed to the next tutorial.


Tutorial: Decrypt File

This tutorial a composite tutorial, which requires going through the Tutorial: Encrypt File as its starting place.

We will cover the basics of decrypting your encrypted file in this tutorial. As you have learned in the last tutorial, encrypting is very easy with EncryptDrop's drag 'n drop approach. As a matter of fact, you will notice that decrypting a file isn't actually very different from encrypting a file.

Step 1) In the last tutorial you dragged and dropped the file you wanted to encrypt into the program window, now this in mind, please find your encrypted file and drop it into the program window.

Select password window

Step 2) The select password window appears. Type your decryption password. Please note that the passwords used with encrytdrop are case-sensitive. For example, "MyPassword" would not be the same as "Mypassword".

Because we are decrypting, you will need to type your password only once (EncryptDrop fills the "Re-type Password" automatically for you). You may have also noticed that some of the items are disabled (e.g. the Password Hint field). Such items are available only when you are encrypting files.

Step 3) Click OK to begin decrypting. Now all you need to do is wait that EncryptDrop finishes decrypting your file.

Step 4) Click YES to view the created log file and browse through it to make sure there were not any errors. If you got the "Invalid Password" error, please go back to step 1 and try again.

Step 5) You should have now encrypted and decrypted your file successfully. You can experiment doing this with multiple files and folders. Once you get comfortable with the program basics, proceed to the FAQ where we'll cover the most common EncryptDrop questions and provide answers to them. If you can't find your answers there, please feel free to contact us.


Tutorial: Encrypt Folders on Exit

EncryptDrop can automatically encrypt your folders on program termination (exit), user logoff, system restart and shutdown.

Step 1) From the right-click window, click "Utilities" and then "Encrypt Folders on Exit".

Step 2) Add folders to the list. To do this, click "Add Folder" and find the folder you want to add to the list. Please note that you can also drag and drop folders into the list.

Step 3) Make sure you have selected the folder, then edit the folder details. You will need to enter a password before the program fully accepts the folder to the list.

Step 4) When you are done editing the folder details, click "Apply". This will apply the changes to the selected folder. The folder will be encrypted the next time you exit/logoff/restart/shutdown. EncryptDrop will keep doing so until you either remove the folder from the list or change the settings.

Please note that you will not need to make any changes to the list/settings if you add new files to the folder. EncryptDrop will automatically keep the listed folders fully encrypted for you.


Tutorial: Folder Bookmarks

Following the streamlined design of EncryptDrop, Folder Bookmarks are simply the quickest way to encrypt/decrypt the folders that you need to access frequently.

NOTE: To access active bookmarks SHIFT-RCLICK (hold down a SHIFT key on your keyboard and RIGHT-CLICK with your mouse) on the program main window.

Step 1) From the right-click window, click "Utilities" and then "Manage Folder Bookmarks".

Step 2) Click "Add Bookmark". You may want to rename the bookmark, if so, click "Rename Bookmark" and enter a new name for the bookmark.

Step 3) The bookmark needs a folder, make sure you have selected the bookmark from the list and click "Add Folder...", find the folder you want to add under this bookmark and click OK. You should now see the folder path under the bookmark.

Please note that you can also drag and drop folders into this window. The program also allows you to move (drag and drop) folders between the bookmarks.

Step 4) To illustrate how it all comes together in EncryptDrop, click "Close" to close this window. This returns you to the Right-Click Window. Click "Close" to close the right-click window as well.

Step 5) You should now have the program main window open only. To access the Folder Bookmarks, SHIFT-RCLICK on the program window and the Folder Bookmarks menu opens.

Step 6) Select a bookmark from the opened menu, and EncryptDrop continues to the "Select Password" -window with the stored Folder Bookmark information.


FAQ

1. General

1.1) How do I stay updated?
1.2) What is Warp5 Technology?
1.3) I have a question/suggestion/comment. How can I contact the technical support?

2. Technical

2.1) I have encrypted my files, now how do decrypt them?
2.2) I forgot my password! Can you help me?
2.3) Why are some of the Right-Click Window items disabled?
2.4) What encryption algorithm does EncryptDrop use?
2.5) How long of a password can I use?
2.6) Can I somehow prevent subfolders from being encrypted/decrypted?
2.7) How do I create a self-extracting file?
2.8) Can EncryptDrop clear the system pagefile?
2.9) How do I make sure sensitive data won't get paged in system pagefile?
2.10) Can I create custom skins for EncryptDrop?
2.11) I want to limit the process to encrypted/non-encrypted files only. How do I do that?
2.12) How can I view the password hints of my encrypted files?
2.13) Can I copy EncryptDrop to a new system without having to run the setup?
2.14) Why do the custom skins seem to be missing colors?
2.15) I burned my encrypted files on a CD, how do I decrypt them?
2.16) How do I use the Folder Bookmarks?
2.17) Is there a way to view the last created log again?
2.18) I'm having difficulties to update/reinstall EncryptDrop, what can I do?
2.19) Can I somehow view an encrypted file's stored filename?

General

1.1 How do I stay updated?

A: Open the Right-Click Window and click "Check for Updates".

Back to Top

1.2 What is Warp5 Technology?

A: Warp5 is the 5th generation encryption engine developed by Righteous Technologies. It is used by our EncryptDrop products.

Back to Top

1.3) I have a question/suggestion/comment. How can I contact the technical support?

A: Please see technical support for details.

Back to Top

Technical

2.1) I have encrypted my files, now how do decrypt them?

Just drop the encrypted files into the program window the same way you did when you encrypted them. Enter the password, check your options and click OK.

See also Tutorials.

Back to Top

2.2) I forgot my password! Can you help me?

A: No, sorry. The only password information that is stored to encrypted files is the password hash value. We recommend that you start using password hints.

Back to Top

2.3) Why are some of the Right-Click Window items disabled?

A: Some of the items such as the "Clear System Pagefile on System Shutdown" option requires system admin-rights.

Back to Top

2.4) What encryption algorithm does EncryptDrop use?

A: You may choose from the AES, Twofish, CAST-256 and Serpent algorithms.

If you are more interested in these algorithms, please have a look at www.brainyencyclopedia.com.

Back to Top

2.5) How long of a password can I use?

A: 1-32 characters (8-256 bits).

Back to Top

2.6) Can I somehow prevent subfolders from being encrypted/decrypted?

A: Yes. Uncheck the "Recurse into sub-folders" box in the select password window.

Back to Top

2.7) How do I create a self-extracting file?

A: You may create an SFX of an already encrypted file. There are two ways to do this.

1) Use the Windows Explorer shell extension. Make sure the extension is installed (Right-Click Window / Enable Shell Extension), then locate the encrypted file and right-click it. This opens the shell extension context menu from which select "Create SFX". You can do this also with multiple files.

Or:

2) Open the Right-Click Window, click "Utilities" and then click "Create SFX". To create a batch of SFX files at a time, please use the shell extension instead.

Please note that the SFX files will only run on Windows 2000/XP/2003 systems.

Back to Top

2.8) Can EncryptDrop clear the system pagefile?

A: No, but Windows 2000/XP/2003 systems can clear pagefile on clean system shutdown (power off). You can use EncryptDrop to change this behaviour. Check "Clear System PageFile on System Shutdown" in the Right-Click Window.

Please note on systems with large amounts of memory, and therefore large pagefile, this tweak could cause a delay at shutdown due to the additional time taken to clear the data from the file.

NOTE: Login as an administrator change this option.

Back to Top

2.9) How do I make sure sensitive data won't get paged in system pagefile?

A: Enable AWE which is disabled by default on Windows 2000/XP/2003 systems.

"AWE is a set of application programming interfaces (APIs) to the memory manager functions that enables programs to address more memory than the 4 GB that is available through standard 32-bit addressing. AWE enables programs to reserve physical memory as non-paged memory and then to dynamically map portions of the non-paged memory to the program's working set of memory. This process enables programs to reserve physical memory for data without having to be paged in and out of a paging file for usage. Instead, the data is swapped in and out of the working set and reserved memory is in excess of the 4 GB range." -- MSDN

Virtual memory support uses a system pagefile to swap pages of memory to disk when they are not used. On a running system, this pagefile is opened exclusively by the operating system, and it is well protected. However, systems that are configured to allow booting to other operating systems might have to make sure that the system pagefile is wiped clean when this system shuts down. This ensures that sensitive information from process memory that might go into the pagefile is not available to an unauthorized user who manages to directly access the pagefile.

EncryptDrop detects AWE and utilizes it automatically when available.

Enabling AWE

A user must have the "Lock Pages in Memory" privilege to use AWE. To obtain this privilege, an administrator must add "Lock Pages in Memory" to the user's User Rights Assignments.

View the steps to enable AWE on Windows 2000

To Grant the "Lock pages in memory" privilege to the user ID under which EncryptDrop is run.

       1. Log on to Windows as Administrator.
       2. From the Start menu, choose Settings > Control Panel.
       3. Open the Administrative Tools folder.
       4. Double-click Local Security Policy.
       5. Open Local Policies in the left pane.
       6. Double-click User Rights Assignment in the left pane.
       7. Double-click the Lock Pages In Memory policy in the right pane.
          The Local Security Policy Setting dialog appears.
       8. In the Local Security Policy Setting dialog, click Add.
          The Select Users or Groups dialog appears.
       9. Select the user ID from the list and click Add.
      10. In the Local Security Policy Setting dialog, click OK.
      11. Restart the computer for the setting to take effect.
View the steps to enable AWE on Windows XP

To Grant the "Lock pages in memory" privilege to the user ID under which EncryptDrop is run.

       1. Log on to Windows as Administrator.
       2. From the Start menu, choose Control Panel.
       3. Click Performance and Maintenance.
       4. Open the Administrative Tools folder.
       5. Double-click Local Security Policy.
       6. Open Local Policies in the left pane.
       7. Double-click User Rights Assignment in the left pane.
       8. Double-click the Lock Pages In Memory policy in the right pane.
          The Local Security Policy Setting dialog appears.
       9. In the Local Security Policy Setting dialog, click Add User or Group.
          The Select Users or Groups dialog appears.
      10. Type the user ID to the Enter the object names to select field and click OK.
      11. In the Local Security Policy Setting dialog, click OK.
      12. Restart the computer for the setting to take effect.

Restart your computer and start EncryptDrop. Open the Right-Click Window and click "About". The window should now say "System: SafeBuffers Type-I/AWE".

See the related question: "Can EncryptDrop clear the system pagefile?"

Back to Top

2.10) Can I create custom skins for EncryptDrop?

A: Yes, please see Create New Custom Skins.

Back to Top

2.11) I want to limit the process to encrypted/non-encrypted files only. How do I do that?

A: Drop your files into the program window, enter your password, but before you click OK, change the "Filter" to one of the following:

  • Encrypted Files Only
  • Non-Encrypted Files Only

Back to Top

2.12) How can I view the password hints of my encrypted files?

A: EncryptDrop has supported password hints since the version 0.8b. These hints can help you remember your password. Please note that password hints are visible to everyone.

Assuming you have encrypted your files with a password hint, there are two ways to view your encrypted file password hints.

1) Use the shell extension. This is the easiest way to view your password hints. Make sure you have enabled the shell extension (Right-Click Window > Enable Shell Extension), then select your encrypted file, right-click it, and select "View Password Hint" from the opened context menu. You can do this also with multiple files.

Or:

2) When an invalid password error occurs, EncryptDrop displays the password hint information in the log window if such information is available.

Back to Top

2.13) Can I copy EncryptDrop to a new system without having to run the setup?

A: In theory yes, as long as the target system has all the necessary files present and they are up to date. The setup would normally take care of updating the system files. Please bear in mind that manual copying of the system files may result in unexpected errors. If you aren't absolutely sure what you're doing, we recommend that you use the setup instead.

NOTE: EncryptDrop will NOT run on Windows 95/98/ME systems. NT4 is NOT supported.

Back to Top

2.14) Why do the custom skins seem to be missing colors?

A: Your screen colors are set to 8bit (256 colors) or less. EncryptDrop custom skins require 16bit, 24bit or 32bit colors.

To change the color depth, right-click on desktop / select "properties" / click "settings" tab / set the colors/color quality to 16bit or better.

Back to Top

2.15) I burned my encrypted files on a CD, how do I decrypt them?

A: You can either:

1) Copy all your files to your hard disk and then decrypt the copied files on your hard disk.

Or:

2) Drop the files from the CD into the program window, enter your password, click "Output", select "Set Other Output Folder" and select another output folder for your decrypted files.

NOTE: The latter solution should be used with single files only as changing the output folder forces the program to ignore the original directory structure.

Back to Top

2.16) How do I use the Folder Bookmarks?

A: See Tutorial: Folder Bookmarks.

Back to Top

2.17) Is there a way to view the last created log again?

A: Yes, CTRL-RCLICK (hold down a CTRL key on your keyboard and right-click with your mouse) on the program main window. The log remains in memory until you replace or clear it, or quit EncryptDrop.

Back to Top

2.18) I'm having difficulties to update/reinstall EncryptDrop, what can I do?

A: Uninstall EncryptDrop first, logoff (or restart your system), after that login and try running the setup again.

Back to Top

2.19) Can I somehow view an encrypted file's stored filename?

A: Make sure you have enabled the shell extension (Right-Click Window > Enable Shell Extension) and locate your encrypted file, right-click it, select "View Filename", enter password and click OK. You can do this also with multiple files.

Back to Top


Create New Custom Skins

General

  • Get decent graphics software (e.g. GIMP, Photoshop®).
  • For examples, check the "Skins" folder in the EncryptDrop program folder (e.g. C:\Program Files\EncryptDrop\Skins)

Bitmap File

  • Bitmap (.bmp) file defines the shape of the custom skin
  • Bitmaps must have single color defined as the "transparent" color. This color is then "filtered out" on load
  • Save your bitmaps as 24bit images

.ini File

  • Defines the layout of the custom skin
  • File can be edited using a text editor or the program built-in skin debugger (recommended)
  • Don't let the rectangles (*_rect) scare you. They're not as tricky as they first may seem like
  • Before you start debugging your skin, EDIT the follow keys defined in your .ini file:
        bitmap_file
    bitmap_transparent_rgb - make sure this matches with your bitmap "transparent" color

File/Folder structure

  • Create a new folder for your skin under the "Skins" folder
  • Make sure your .ini filename matches the with the name of the new skin folder
  • The name of the bitmap file can be anything as long as you edit the bitmap_file key in the .ini file accordingly
  Example:
      C:\Program Files\EncryptDrop\skins\Sample
    C:\Program Files\EncryptDrop\skins\Sample\Sample.ini
    C:\Program Files\EncryptDrop\skins\Sample\Image.bmp

Debugging

  • Restart EncryptDrop
  • Select your new skin from the "Appearance: Window Skin" box, it should be now listed there if you followed the above instructions
  • Wait that new skin is applied and then hit F5 (be sure you select the program window first - left-click it)
  • Once the console is open, type ? and hit enter. The rest should be self-explanatory

We are always looking to add custom skins to the EncryptDrop website. If you would like to see yours listed there, please e-mail it to support@righteoustech.com. Please note that each skin will go through a manual validation process and must be accepted by us before we can post them on the website.


Contacting Technical Support

Web: http://www.righteoustech.com/index.php?page=support


Program Credits

Credits

EncryptDrop © 2004-2005 Righteous Technologies. All Rights Reserved.

  • Portions © 1998-1999 Greg Colvin and Beman Dawes
  • Portions © 2001-2003 Peter Dimov
  • Portions © Lee Thomason, Yves Berquin
  • Portions © 1999 Brian Gladman
  • Portions © 1999-2000 Boris Fomitchev
  • Audiere Sound System © 2001-2003 Chad Austin

HOME | BACK | NEXT